/**********************************************************
 * This file has been automatically created by "typemaker2"
 * from the file "account_spec.xml".
 * Please do not edit this file, all changes will be lost.
 * Better edit the mentioned source file instead.
 **********************************************************/

#ifndef AB_ACCOUNT_SPEC_ACCOUNT_SPEC_P_H
#define AB_ACCOUNT_SPEC_ACCOUNT_SPEC_P_H

#include "./account_spec.h"


#ifdef __cplusplus
extern "C" {
#endif

struct AB_ACCOUNT_SPEC {
  GWEN_LIST_ELEMENT(AB_ACCOUNT_SPEC)
  int _refCount;
  int type;
  uint32_t uniqueId;
  char *backendName;
  char *ownerName;
  char *accountName;
  char *currency;
  char *memo;
  char *iban;
  char *bic;
  char *country;
  char *bankCode;
  char *bankName;
  char *branchId;
  char *accountNumber;
  char *subAccountNumber;
  AB_TRANSACTION_LIMITS_LIST *transactionLimitsList;
  AB_REFERENCE_ACCOUNT_LIST *refAccountList;
};

/** 
 * Find an account info object in a list of account info objects. 
 * @param a account info object with which to start searching 
 * @param backendName name of the banking backend (wildcards and jokers allowed) 
 * @param country ISO code of the country (wildcards and jokers allowed) 
 * @param bankId bank code to search for (wildcards and jokers allowed) 
 * @param accountNumber account number to search for (wildcards and jokers allowed) 
 * @param subAccountId sub account number (wildcards and jokers allowed) 
 * @param iban IBAN to search for (wildcards and jokers allowed) 
 * @param currency currecny the account uses (wildcards and jokers allowed) 
 * @param ty account type (use AB_AccountType_Unknown as wildcard) 
 */ 
 AB_ACCOUNT_SPEC *AB_AccountSpec_List__FindInternal(AB_ACCOUNT_SPEC *a, const char *backendName, const char *country, const char *bankId, const char *accountNumber, const char *subAccountId, const char *iban, const char *currency, int ty);
#ifdef __cplusplus
}
#endif

#endif

